Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.edr.management
Interface EdrServiceMBean

public interface EdrServiceMBean

MBean of the EdrService

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static long` | `alarmProtectionFilterDelay` Delay in milliseconds before and identical alarm can be published again.
`static int` | `alarmProtectionFilterSize` Size of the buffer used to determine when to drop too frequent identical alarms.
`static int` | `batchSize` Defines the JMS batch size.
`static int` | `batchTimeout` Defines the JMS batch time-out.
`static boolean` | `publishToJMS` Defines if EDRs should be published to the JMS topic.
`static boolean` | `statisticsEnabled` Defines if the EDR service should collect EDR statistics information.
`static boolean` | `storeAlarms` Defines if alarms should be persisted to the database.
`static boolean` | `storeCDRs` Defines if CDRs should be persisted to the database.

Method Summary
`String` | `displayStatistics()` Gets EDR statistics.
`int` | `getAlarmCount()` Gets the number of alarms available in the database.
`long` | `getAlarmProtectionFilterDelay()`
`int` | `getAlarmProtectionFilterSize()`
`AlarmData[]` | `getAlarms(String identifier, String source, String severity, String fromDate, String toDate, int offset, int maxEntries)` Gets the alarms matching the specified criterias from the database.
`int` | `getBatchSize()`
`long` | `getBatchTimeout()`
`int` | `getCdrCount()` Gets the number of CDRs available in the database.
`CdrData[]` | `getCdrs(String serviceName, String fromDate, String toDate, String serviceProviderIdentifier, String applicationIdentifier, int offset, int maxEntries)` Gets the CDRs matching the specified criterias from the database.
`boolean` | `getPublishToJMS()`
`boolean` | `getStatisticsEnabled()`
`boolean` | `getStoreAlarms()`
`boolean` | `getStoreCDRs()`
`String` | `resetStatistics()` Resets EDR statistics.
`void` | `setAlarmProtectionFilterDelay(long delay)`
`void` | `setAlarmProtectionFilterSize(int size)`
`void` | `setBatchSize(int size)`
`void` | `setBatchTimeout(long timeout)`
`void` | `setPublishToJMS(boolean flag)`
`void` | `setStatisticsEnabled(boolean flag)`
`void` | `setStoreAlarms(boolean flag)`
`void` | `setStoreCDRs(boolean flag)`

Field Detail

### alarmProtectionFilterDelay

    public static final long alarmProtectionFilterDelay

  Delay in milliseconds before and identical alarm can be published again.

  See Also:
    Constant Field Values

### alarmProtectionFilterSize

    public static final int alarmProtectionFilterSize

  Size of the buffer used to determine when to drop too frequent identical alarms.

  See Also:
    Constant Field Values

### batchSize

    public static final int batchSize

  Defines the JMS batch size. This is the max number of EDRs sent in a batch.

  See Also:
    Constant Field Values

### batchTimeout

    public static final int batchTimeout

  Defines the JMS batch time-out. This is the max duration that EDRs are buffered before sent in a batch.

  See Also:
    Constant Field Values

### publishToJMS

    public static final boolean publishToJMS

  Defines if EDRs should be published to the JMS topic.

  See Also:
    Constant Field Values

### statisticsEnabled

    public static final boolean statisticsEnabled

  Defines if the EDR service should collect EDR statistics information. This allowes the operation displayStatistics to be used.

  See Also:
    Constant Field Values

### storeAlarms

    public static final boolean storeAlarms

  Defines if alarms should be persisted to the database.

  See Also:
    Constant Field Values

### storeCDRs

    public static final boolean storeCDRs

  Defines if CDRs should be persisted to the database.

  See Also:
    Constant Field Values

Method Detail

### displayStatistics

    public String displayStatistics()

  Gets EDR statistics. To use this operation the statisticsEnabled attribute must be set to true.

  Returns:
    Nr of EDRs generated, max/min/average size of EDRs.

### getAlarmCount

    public int getAlarmCount()
                      throws ManagementException

  Gets the number of alarms available in the database.

  Throws:
    `ManagementException`

### getAlarmProtectionFilterDelay

    public long getAlarmProtectionFilterDelay()

### getAlarmProtectionFilterSize

    public int getAlarmProtectionFilterSize()

### getAlarms

    public AlarmData[] getAlarms(String identifier,
                                 String source,
                                 String severity,
                                 String fromDate,
                                 String toDate,
                                 int offset,
                                 int maxEntries)
                          throws ManagementException

  Gets the alarms matching the specified criterias from the database.

  Parameters:
    `identifier` - The identifier (optional)
    `source` - Source (optional)
    `severity` - Severity (1=warning, 2=minor, 3=major, 4=critical) (optional)
    `fromDate` - Lower date range (specified in yyyy-MM-dd HH:mm:ss) (optional)
    `toDate` - Upper date range (specified in yyyy-MM-dd HH:mm:ss) (optional)
    `offset` - Offset in the result list.
    `maxEntries` - The number of alarms to return. Must be 1 to 200.
  Returns:
    An array of alarms
  Throws:
    `ManagementException` - Any exception during the query of the alarms.

### getBatchSize

    public int getBatchSize()

### getBatchTimeout

    public long getBatchTimeout()

### getCdrCount

    public int getCdrCount()
                    throws ManagementException

  Gets the number of CDRs available in the database.

  Throws:
    `ManagementException`

### getCdrs

    public CdrData[] getCdrs(String serviceName,
                             String fromDate,
                             String toDate,
                             String serviceProviderIdentifier,
                             String applicationIdentifier,
                             int offset,
                             int maxEntries)
                      throws ManagementException

  Gets the CDRs matching the specified criterias from the database.

  Parameters:
    `serviceName` - Service name (optional)
    `fromDate` - Lower date range (specified in yyyy-MM-dd HH:mm:ss) (optional)
    `toDate` - Upper date range (specified in yyyy-MM-dd HH:mm:ss) (optional)
    `serviceProviderIdentifier` - Service provider id (optional)
    `applicationIdentifier` - Application id (optional)
    `offset` - Offset in the result list.
    `maxEntries` - The number of CDRs to return. Must be 1 to 200.
  Returns:
    An array of CDRs
  Throws:
    `ManagementException` - Any exception during the query of the CDRs.

### getPublishToJMS

    public boolean getPublishToJMS()

### getStatisticsEnabled

    public boolean getStatisticsEnabled()

### getStoreAlarms

    public boolean getStoreAlarms()

### getStoreCDRs

    public boolean getStoreCDRs()

### resetStatistics

    public String resetStatistics()

  Resets EDR statistics.

### setAlarmProtectionFilterDelay

    public void setAlarmProtectionFilterDelay(long delay)
                                       throws ManagementException

  Throws:
    `ManagementException`

### setAlarmProtectionFilterSize

    public void setAlarmProtectionFilterSize(int size)
                                      throws ManagementException

  Throws:
    `ManagementException`

### setBatchSize

    public void setBatchSize(int size)
                      throws ManagementException

  Throws:
    `ManagementException`

### setBatchTimeout

    public void setBatchTimeout(long timeout)
                         throws ManagementException

  Throws:
    `ManagementException`

### setPublishToJMS

    public void setPublishToJMS(boolean flag)
                         throws ManagementException

  Throws:
    `ManagementException`

### setStatisticsEnabled

    public void setStatisticsEnabled(boolean flag)

### setStoreAlarms

    public void setStoreAlarms(boolean flag)
                        throws ManagementException

  Throws:
    `ManagementException`

### setStoreCDRs

    public void setStoreCDRs(boolean flag)
                      throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD